List Project Users
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"project_role": "<string>",
"resolved_capabilities": [
"project.read"
],
"name": "<string>",
"avatar_src": "<string>"
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}Get all users of a project with their roles.
GET
/
projects
/
{project_reference}
/
users
List Project Users
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain that identifies the project.
Query Parameters
Cursor for pagination (user ID)
Maximum number of entries to return. Defaults to 20 and is capped at 100.
Required range:
1 <= x <= 100